package units;

/**
 * This class represents a unit
 * @author MC
 *
 */
public class Unit implements Comparable<Unit> {
	protected int termCode = -1;
	protected String referenceId = "";
	protected String unitofMeasurement = "";
	protected String symbol = "";
	protected String ucum = "";
	
	public Unit(){
		
	}
	public Unit(Unit u) {
		super();
		this.termCode = u.termCode;
		this.referenceId = u.referenceId;
		this.unitofMeasurement = u.unitofMeasurement;
		this.symbol = u.symbol;
		this.ucum = u.ucum;
	}
	
	public String getReferenceId() {
		return referenceId;
	}
	public void setReferenceId(String referenceId) {
		this.referenceId = referenceId;
	}
	public String getSymbol() {
		return symbol;
	}
	public void setSymbol(String symbol) {
		this.symbol = symbol;
	}
	public int getTermCode() {
		return termCode;
	}
	public void setTermCode(int termCode) {
		this.termCode = termCode;
	}
	public String getUcum() {
		return ucum;
	}
	public void setUcum(String ucum) {
		this.ucum = ucum;
	}
	public String getUnitofMeasurement() {
		return unitofMeasurement;
	}
	public void setUnitofMeasurement(String unitofMeasurement) {
		this.unitofMeasurement = unitofMeasurement;
	}
	public int compareTo(Unit arg0) {
		return new Integer(termCode).compareTo(new Integer(arg0.getTermCode()));
	}
	
	
}
